httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dr James Smith <...@sanger.ac.uk>
Subject Re: [users@httpd] Trouble updating PHP version on MAMP on Mac
Date Thu, 01 Jun 2017 19:39:22 GMT
Looks like you are using php5_module with a PHP7 so file - you should be 
using:

LoadModule php7_module ..../libphp7.0.so


On 01/06/2017 20:26, Roparzh Hemon wrote:
>> I am not on Apple here, and you don't say whether you are using php-fpm or
>> not, but assuming that you are, check the start up (sysctl or init.d) file
>> and be sure that the correct version of PHP is being started.
> Thank you for your feedback.
> I have no idea what php-fpm is, and my guess is that I'm not using it.
> The way I see it, the php I'm using should be the php module inside
> Apache, which I specified with the following line in httpd.conf :
>
> LoadModule php5_module /usr/local/php5-7.1.4-20170506-100436/libphp7.so
>
> Roparzh
>
> On Thu, Jun 1, 2017 at 3:58 PM, John Iliffe <john.iliffe@iliffe.ca> wrote:
>> I am not on Apple here, and you don't say whether you are using php-fpm or
>> not, but assuming that you are, check the start up (sysctl or init.d) file
>> and be sure that the correct version of PHP is being started.
>>
>> John
>> =============================
>> On Wednesday 31 May 2017 03:56:45 Roparzh Hemon wrote:
>>> I'm trying to update the PHP version used in the built-in MAMP on my
>>> Mac, as indicated at
>>> http://aerendir.me/2015/08/01/how-to-upgrade-php-built-in-your-mac-osx/.
>>>
>>> After obediently completing all the steps, the "CLI" version is
>>> updated allright :
>>> the output of php- v in my terminal is
>>>
>>> PHP 7.1.4 (cli) (built: May  6 2017 10:02:00) ( NTS )
>>> Copyright (c) 1997-2017 The PHP Group
>>> Zend Engine v3.1.0, Copyright (c) 1998-2017 Zend Technologies
>>>      with Zend OPcache v7.1.4, Copyright (c) 1999-2017, by Zend
>>> Technologies with Xdebug v2.5.3, Copyright (c) 2002-2017, by Derick
>>> Rethans
>>>
>>> But I look at the phpInfo in my built-in MAMP, I still get the old PHP
>>> version, with the old PHP location.
>>> I tried restarting both Firefox and MAMP.
>>>
>>> I'm using Apache2 and Firefox 53.0.2 on Mac OS 10.11.3.
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
>>> For additional commands, e-mail: users-help@httpd.apache.org
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
>> For additional commands, e-mail: users-help@httpd.apache.org
>>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org
>



-- 
 The Wellcome Trust Sanger Institute is operated by Genome Research 
 Limited, a charity registered in England with number 1021457 and a 
 company registered in England with number 2742969, whose registered 
 office is 215 Euston Road, London, NW1 2BE. 

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message